#!/bin/sh
 
# mbrola.dsp

# plays a mbrola *.pho file through /dev/dsp

# Syntax: mbrola.dsp <br1|bz1|de1|de2|en1...> <file.pho>
# please report problems with this script to hzo@goldfish.cube.net
# and not to the mbrola people. They are innocent...



# Adjust to the directory, where the mbrola voices are.
MBROLA_VOICES=/usr/lib/mbrola



# -----------------------------------------------

if [ "$2" = "" ] ; then
	echo "Syntax: mbrola.dsp <data_base> <pho_file>"
	echo "Sample: mbrola.dsp en1 euler.pho"
	exit 1
fi


LANGBASE="$MBROLA_VOICES/$1/$1"

mbrola -e $LANGBASE $2  -.au | sox -t au - -t raw -r 8000 -Uub - >/dev/dsp
